Style
Date: 2017-02-11

org.fife.ui.rsyntaxtextarea

## Class Style

- java.lang.Object
- - org.fife.ui.rsyntaxtextarea.Style

- All Implemented Interfaces:
    java.lang.Cloneable

      public class Style
      extends java.lang.Object
      implements java.lang.Cloneable

  The color and style information for a token type. Each token type in an `RSyntaxTextArea` has a corresponding `Style`; this `Style` tells us the following things:
  - What foreground color to use for tokens of this type.
  - What background color to use.
  - The font to use.
  - Whether the token should be underlined.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.awt.Color` | `background`
    `static java.awt.Color` | `DEFAULT_BACKGROUND`
    `static java.awt.Font` | `DEFAULT_FONT`
    `static java.awt.Color` | `DEFAULT_FOREGROUND`
    `java.awt.Font` | `font`
    `java.awt.Color` | `foreground`
    `boolean` | `underline`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Style()` Creates a new style defaulting to black foreground, no background, and no styling.
    `Style(java.awt.Color fg)` Creates a new style with the specified foreground and no styling.
    `Style(java.awt.Color fg, java.awt.Color bg)` Creates a new style with the specified colors and no styling.
    `Style(java.awt.Color fg, java.awt.Color bg, java.awt.Font font)` Creates a new style.
    `Style(java.awt.Color fg, java.awt.Color bg, java.awt.Font font, boolean underline)` Creates a new style.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Returns a deep copy of this object.
    `boolean` | `equals(java.lang.Object o2)` Returns whether or not two syntax schemes are equal.
    `int` | `hashCode()` Computes the hash code to use when adding this syntax scheme to hash tables.
    `java.lang.String` | `toString()` Returns a string representation of this style.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_FOREGROUND

          public static final java.awt.Color DEFAULT_FOREGROUND

    - #### DEFAULT_BACKGROUND

          public static final java.awt.Color DEFAULT_BACKGROUND

    - #### DEFAULT_FONT

          public static final java.awt.Font DEFAULT_FONT

    - #### foreground

          public java.awt.Color foreground

    - #### background

          public java.awt.Color background

    - #### underline

          public boolean underline

    - #### font

          public java.awt.Font font

  - ### Constructor Detail

    - #### Style

          public Style()

      Creates a new style defaulting to black foreground, no background, and no styling.

    - #### Style

          public Style(java.awt.Color fg)

      Creates a new style with the specified foreground and no styling.
      Parameters:
        `fg` - The foreground color to use.

    - #### Style

          public Style(java.awt.Color fg,
               java.awt.Color bg)

      Creates a new style with the specified colors and no styling.
      Parameters:
        `fg` - The foreground color to use.
        `bg` - The background color to use.

    - #### Style

          public Style(java.awt.Color fg,
               java.awt.Color bg,
               java.awt.Font font)

      Creates a new style.
      Parameters:
        `fg` - The foreground color to use.
        `bg` - The background color to use.
        `font` - The font for this syntax scheme.

    - #### Style

          public Style(java.awt.Color fg,
               java.awt.Color bg,
               java.awt.Font font,
               boolean underline)

      Creates a new style.
      Parameters:
        `fg` - The foreground color to use.
        `bg` - The background color to use.
        `font` - The font for this syntax scheme.
        `underline` - Whether or not to underline tokens with this style.

  - ### Method Detail

    - #### clone

          public java.lang.Object clone()

      Returns a deep copy of this object.
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        The copy.

    - #### equals

          public boolean equals(java.lang.Object o2)

      Returns whether or not two syntax schemes are equal.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `o2` - The object with which to compare this syntax scheme.
      Returns:
        Whether or not these two syntax schemes represent the same scheme.

    - #### hashCode

          public int hashCode()

      Computes the hash code to use when adding this syntax scheme to hash tables.

      This method is implemented, since `equals(Object)` is implemented, to keep FindBugs happy.

      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
        The hash code.

    - #### toString

          public java.lang.String toString()

      Returns a string representation of this style.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        A string representation of this style.